Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class DefaultClassCondition

    java.lang.Object
      org.apache.batik.css.parser.AbstractAttributeCondition
          org.apache.batik.css.parser.DefaultAttributeCondition
              org.apache.batik.css.parser.DefaultClassCondition

All Implemented Interfaces:
  org.w3c.css.sac.AttributeCondition, org.w3c.css.sac.Condition

    public class DefaultClassCondition

extends DefaultAttributeCondition

This class provides an implementation of the `AttributeCondition` interface.

Field Summary

Fields inherited from class org.apache.batik.css.parser.DefaultAttributeCondition
`localName, namespaceURI, specified`

Fields inherited from class org.apache.batik.css.parser.AbstractAttributeCondition
`value`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`DefaultClassCondition(String namespaceURI, String value)` Creates a new DefaultAttributeCondition object.

Method Summary
`short` | `getConditionType()` SAC: Implements `Condition.getConditionType()`.
`String` | `toString()` Returns a text representation of this object.

Methods inherited from class org.apache.batik.css.parser.DefaultAttributeCondition
`getLocalName, getNamespaceURI, getSpecified`

Methods inherited from class org.apache.batik.css.parser.AbstractAttributeCondition
`getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultClassCondition

    public DefaultClassCondition(String namespaceURI,
                                 String value)

  Creates a new DefaultAttributeCondition object.

Method Detail

### getConditionType

    public short getConditionType()

  SAC: Implements `Condition.getConditionType()`.

  Specified by:
    `getConditionType` in interface `org.w3c.css.sac.Condition`
  Overrides:
    `getConditionType` in class `DefaultAttributeCondition`

### toString

    public String toString()

  Returns a text representation of this object.

  Overrides:
    `toString` in class `DefaultAttributeCondition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.